org.apache.uima.fit.util

## Class LifeCycleUtil

- java.lang.Object
- - org.apache.uima.fit.util.LifeCycleUtil

-     public final class LifeCycleUtil
      extends Object

  Helper methods to handle the life cycle of UIMA components.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `close(org.apache.uima.collection.base_cpm.BaseCollectionReader aReader)` Close a reader.
    `static void` | `collectionProcessComplete(org.apache.uima.analysis_engine.AnalysisEngine... engines)` Notify a set of `analysis engines` that the collection process is complete.
    `static void` | `destroy(org.apache.uima.resource.Resource... resources)` Destroy a set of `resources`.
    `static void` | `destroy(org.apache.uima.resource.ResourceManager aResMgr)` Destroy a set of `resource manager`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### collectionProcessComplete

          public static void collectionProcessComplete(org.apache.uima.analysis_engine.AnalysisEngine... engines)
                                                throws org.apache.uima.analysis_engine.AnalysisEngineProcessException

      Notify a set of `analysis engines` that the collection process is complete.
      Parameters:
        `engines` - the engines to notify of completion
      Throws:
        `org.apache.uima.analysis_engine.AnalysisEngineProcessException` - if there was a problem in the engines reacting to completion

    - #### destroy

          public static void destroy(org.apache.uima.resource.ResourceManager aResMgr)

      Destroy a set of `resource manager`.
      Parameters:
        `aResMgr` - the resource manager to destroy

    - #### destroy

          public static void destroy(org.apache.uima.resource.Resource... resources)

      Destroy a set of `resources`.
      Parameters:
        `resources` - the resources to destroy

    - #### close

          public static void close(org.apache.uima.collection.base_cpm.BaseCollectionReader aReader)

      Close a reader.
      Parameters:
        `aReader` - the reader to close

Copyright © 2012–2020 The Apache Software Foundation. All rights reserved.